@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/static/pretendard.min.css");

html {
    box-sizing: border-box;
}
*, *:before, *:after {
    box-sizing: inherit;
}
*, #unity-container, #unity-canvas {
    /*cursor: url('cursor.png'), pointer !important;*/
}
body { transform: scale(1); }
html, body {
    height: 100%;
}
canvas {
    display: block;
}
body {
    margin: 0px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}
#unity-container {
  padding: 0px;
  position: absolute;
  width: 100%;
  height:100%;
  display: block;
  z-index: -1;
}
#unity-canvas {
  width: 100%;
  height: 100%;
}

*{font-family:"Pretendard", "Apple SD Gothic Neo", "AppleGothic", sans-serif;}

/* 로딩 인트로 */
p, div{margin:0; padding:0;}
.loading-wrap{font-family:"Pretendard", "Apple SD Gothic Neo", "AppleGothic", sans-serif; position:fixed; left:0; top:0; width:100vw; height:100svh; background-color:#FDB738; background-image:url('intro_bg.png'); background-position:left bottom; background-repeat:repeat-x; background-size:contain; overflow:hidden; text-align:center;}
.loading-wrap.fadeout{opacity:0; transition:1.5s;}

.loading-wrap .loading-object{position:absolute; left:50%; top:50%; transform:translate(-50%,-50%); width:1600px;}
.loading-wrap .loading-object .monitor{position:relative;}
.loading-wrap .loading-object .monitor img{width:100%;}
.loading-wrap .loading-object .monitor .box{position:absolute; left:22.7%; top:3.8%; width:54.6%; height:66.5%; overflow:hidden; text-align:center; color:#1f1f1f; box-sizing:border-box;}
.loading-wrap .loading-object .monitor .box .logo{margin-top:30px;}
.loading-wrap .loading-object .monitor .box .logo img{max-width:160px;}
.loading-wrap .loading-object .monitor .box .logo-tit{margin:0; padding:0; font-weight:700; color:#FDB738; font-size:30px; margin-top:5px}
.loading-wrap .loading-object .monitor .box .title{position:relative; display:inline-block; margin-top:40px}
.loading-wrap .loading-object .monitor .box .title i{font-style:normal;}
.loading-wrap .loading-object .monitor .box .title span{font-size:50px; font-weight:700; position:relative; z-index:1; background:linear-gradient(180deg,rgba(255,255,255,0) 60%, #9AE1DD 50%); padding:0 15px; white-space:nowrap;}
.loading-wrap .loading-object .monitor .box .title span:before{content:'[';}
.loading-wrap .loading-object .monitor .box .title span:after{content:']';}
.loading-wrap .loading-object .monitor .box .meaning{font-size:24px; margin-top:30px; line-height:1.4}
.loading-wrap .loading-object .monitor .box .example{font-size:24px; margin-top:20px; line-height:1.4}
.loading-wrap .loading-object .monitor .box .example:before{content:'“ ';}
.loading-wrap .loading-object .monitor .box .example:after{content:' ”';}
.loading-wrap .loading-object .monitor .box .example p{display:inline}
.loading-wrap .loading-object .monitor .box .example span{color:#FB7956; font-weight:700}
.loading-wrap .loading-object .monitor .progress-bar{position:absolute; left:30px; bottom:30px; width:calc(100% - 60px); height:10px; background:rgba(0,0,0,0.4); border-radius:5px; overflow:hidden;}
.loading-wrap .loading-object .monitor .progress-bar .bar{border-radius:5px; background:#FDB738; border:1px solid rgba(0,0,0,0.2);}
.loading-wrap .loading-object .keyboard{position:relative; margin-top:10px; max-width:720px; width:50%}
.loading-wrap .progress-bar{position:absolute; left:10px; bottom:10px; width:90%; height:10px; background:#dcdcdc}
.loading-wrap .progress-bar .bar{position:absolute; left:0; top:0; width:auto; height:100%; background:red; transition:0.5s ease-out;}

@media screen and (max-width:970px), screen and (max-height:820px) {
  .loading-wrap .loading-object{left:0; top:0; transform:none; width:100%; height:100%;}
  .loading-wrap .loading-object .monitor{width:100%; height:100%;}
  .loading-wrap .loading-object .monitor > img{display:none}
  .loading-wrap .loading-object .monitor .box{left:0; top:0; width:100%; height:100%; background-color:#F9F7EF; background-image:url('intro_bg_mobile.svg'); background-repeat:no-repeat; background-position:center bottom; background-size:100% auto}
  .loading-wrap .loading-object .monitor .box .logo{margin-top:50px}
  .loading-wrap .loading-object .monitor .box .idioms-wrap{width:100%; position:absolute; left:50%; top:50%; transform:translate(-50%,-50%); box-sizing:border-box; padding:0 20px;}
  .loading-wrap .loading-object .monitor .box .title span{font-size:35px; white-space:normal;}
  .loading-wrap .loading-object .monitor .box .title:after{height:15px;}
  .loading-wrap .loading-object .monitor .box .meaning{font-size:20px;}
  .loading-wrap .loading-object .monitor .box .example{font-size:20px}
  .loading-wrap .loading-object .monitor .progress-bar{bottom:180px;}
}

@media screen and (max-width:970px){
  .loading-wrap .loading-object .monitor .box{background-size:155% auto}
}

@media screen and (max-width:500px){
  .loading-wrap .loading-object .monitor .box .title:after{display:none}
}

/* 인트로 안내 문구 */
.loading-guide{display:inline-block; text-align:left; color:#fff; font-size:18px; line-height:1; position:absolute; left:50%; bottom:0; transform:translateX(-50%); background:rgba(29,29,29,0.7); border-radius:10px 10px 0 0; white-space:nowrap; padding:20px 30px;}
.loading-guide div{position:relative; margin:0; padding:0; padding-left:30px;}
.loading-guide div:before{display:inline-block; content:'!'; vertical-align:middle; margin-right:5px; border:2px solid #fb7956; color:#fb7956; font-size:12px; border-radius:50%; width:20px; height:20px; line-height:20px; box-sizing: border-box; text-align:center; line-height:17px; position:absolute; left:0; top:3px}
.loading-guide div a{color:#fff; font-weight:600; text-decoration:none;}
.loading-guide div p a span{text-decoration:underline;}
.loading-guide div p{line-height:1.4}
.loading-guide div p:nth-child(2){margin-top:5px}

@media screen and (max-width:1027px){
  .loading-guide{font-size:14px; padding:15px; transform:none; left:0; width:100%; border-radius:0; white-space:inherit;}
  .loading-guide div:before{top:0}
}

/* ads */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

.modal[data-type] {
  display: block;
}

.modalDialog {
  width:90%;
  max-width:700px;
  min-height:279px;
  margin: auto;
  padding: 20px;
  background-color: white;
  text-align: center;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size:30px;
  border: #1d1d1d 4px solid;
  /* border-radius:15px; */
  display:flex;
  align-items:center;
  justify-content:center;
  box-shadow: 5px 5px 0px 0px rgba(0, 0, 0, 0.1);
  box-sizing:border-box;
}

.modalPlace{
  width:100%;
  text-align:center;
}

#modalMessage{
  margin-bottom:70px;
}

.grantButtons,
.rewardButtons,
.exitButtons {
  display: none;
}

.modal[data-type="grant"] .grantButtons,
.modal[data-type="reward"] .rewardButtons,
.modal[data-type="exit"] .exitButtons {
  display: block;
}

.modal input[type="button"] {
  padding:15px 20px;
  background: #01ABAA;
  border: none;
  /* border-radius: 4px; */
  margin: 4px;
  color: white;
  line-height:1;
  font-size:30px;
  cursor: pointer;
  min-width:300px;
  min-height: 80px;
  box-sizing:border-box;
  width:100%;
}

.modal .rewardButtons input[type="button"]{
  width:auto;
}

.modal input[type="button"].black {
  background:#1d1d1d;
  color:#fff
}

@media screen and (max-width:440px){
  .modalDialog{font-size:5.3vw}
  .modal input[type="button"]{font-size:5vw}
}
